Subject: Re: Fw: unregister_netdevice(): negative refcnt, suggest patch against 2.6.11

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 18 Apr 2005 11:48:13 -0300

On 4/18/05, Herbert Xu <[email-masked]> wrote:
> On Mon, Apr 18, 2005 at 12:07:49PM +1000, Herbert Xu wrote:
> >
> > Indeed.  Here is a patch that adds the references that are held by
> > the routes.
> 
> BTW, there are other problems in the appletalk stack that should
> be fixed too.  For instance, the route entries and skb's there don't
> hold a reference to the device that they point to.  So if anyone is
> going to spend time on appletalk then they should have a look at them.

Appletalk is known to be in need of a major reworking, I haven't had time
so far to devote to it even being listed as "MAINTAINER" of such stuff,
perhaps I should send a patch dropping maintainership.

After I'm satisfied with DCCP I may well revisit Appletalk to use the skills I
got/new infrastructure I put in place while working on DCCP, time will tell.

- Arnaldo